import {Component} from 'react'
import {STATUS_PROGRESS} from "./../../actions"
import {connect} from 'react-redux'
import moment from 'moment';

const addIntercom = (auth) => {
    window.Intercom('boot', {
        app_id: process.env.REACT_APP_INTERCOM,
        email: auth.data["http://cloud.netapp.com/user_metadata"].email,
        user_id: auth.data.sub,
        created_at: moment().unix(),
    });
};

const setIntercomAnonymous = () => {
    window.Intercom('boot', {
        app_id: process.env.REACT_APP_INTERCOM,
    });
};

let done = false;
class Intercom extends Component {
    constructor(props, context) {
        super(props, context);
        this.state = {done: false};
    }

    render() {
        const {auth} = this.props;
        if(!done && auth.status !== STATUS_PROGRESS) {
            done = true;

            if(auth.authenticated) {
                addIntercom(auth);
            } else {
                setIntercomAnonymous();
            }
        }
        return "";

    }
};

const mapStateToProps = state => {
    return {
        auth: state.auth
    };
};

export default connect(mapStateToProps)(Intercom);

