import React from 'react';
import Isvg from 'react-inlinesvg';
require("../../dialog/dialogs.scss");
require("./subscriptionFlowDialog.scss");

const FlowLine = ({icon, title, info}) => {
    return (
        <div className="flow-line">
            <div className="flow-line-icon">{icon}</div>
            <div className="flow-line-content">
                <div className="flow-line-title">{title}</div>
                <div className="flow-line-info">{info}</div>
            </div>
        </div>
    )
};
export default ({closeDialog, marketplaceInstructions, backToCloudTieringInstructions, videoLink, marketplaceLink}) => {
    return (
        <div>
            <h4>AWS Subscription Steps</h4>
            <FlowLine icon={<Isvg cacheGetRequests={true} src={require('../../../assets/svgs/1.svg')}/>} title={"Cloud Tiering"} info={"Clicking Continue redirects you to the AWS Marketplace."}/>
            <FlowLine icon={<Isvg cacheGetRequests={true} src={require('../../../assets/svgs/2.svg')}/>} title={"AWS Marketplace"} info={marketplaceInstructions}/>
            <FlowLine icon={<Isvg cacheGetRequests={true} src={require('../../../assets/svgs/3.svg')}/>} title={"AWS Marketplace"} info={backToCloudTieringInstructions}/>
            {videoLink && <div className="video-instructions">
                <Isvg src={require('../../../assets/svgs/triangle-circle-icon.svg')} cacheGetRequests={true}/>
                <a href={videoLink} target="_blank" rel="noopener noreferrer"> View Video Instructions </a>
            </div>}
            {!videoLink && <div className="video-instructions"></div>}
            <div className="buttons-container">
                <button className="button" onClick={() => {
                    const newWindow = window.open();
                    newWindow.location = marketplaceLink;
                    closeDialog();
                }}>Continue</button>
                <button className="button grey float-right" onClick={closeDialog}>Cancel</button>
            </div>
        </div>

    )

};