import React from 'react';
import {VOLUMES_STEP_INFO} from "../../utils/consts";
import ScrollArea from "react-scrollbar";

require('./learnMoreDialog.scss');

const Block = ({title, content}) => {
    return (
        <div className="block">
            <div className="block-title">{title}</div>
            <div className="block-content">{content}</div>
        </div>
    )
};

export default ({closeDialog, estimated}) => (
    <div className="learn-more">
        <h4>Learn More</h4>
        <ScrollArea
            style={{height: "481px", width: "702px"}}
            contentClassName="learn-more-content"
            verticalScrollbarStyle={{borderRadius: "5px", backgroundColor: "#d8d8d8", width: "8px", position: "relative"}}
            verticalContainerStyle={{borderRadius: 0, opacity: 1, width: "8px"}}
            horizontal={false}
            smoothScrolling= {true}
            minScrollSize={40}
        >
            <Block title="Displayed Volumes" content={VOLUMES_STEP_INFO.DISPLAYED_VOLUMES}/>
            <Block title="Used Size" content={VOLUMES_STEP_INFO.USED_SIZE}/>
            <Block title={`Cold Data ${estimated ? "(Estimated Amount)" : ""}`}
                   content={estimated ? VOLUMES_STEP_INFO.COLD_DATA_ESTIMATED : VOLUMES_STEP_INFO.COLD_DATA}/>
        </ScrollArea>
        <div className="bottom-button-row">
            <div className="center">
                <button className="button grey" onClick={closeDialog}>Close</button>
            </div>
        </div>
    </div>
)