import React, {Component} from 'react';
import {parse} from 'query-string';
import {ROUTING_UPDATE_URL_PARAMS, WIZARD_STEP_ENTERED, WIZARD_STEP_EXITED} from "../../actions";
import {buildUrlParams} from "../../utils/encoders";

export default (WrappedComponent, opts = {}) => class extends Component {
    constructor(props, context) {
        super(props, context);
        this.state = {
            active: props.wizard ? opts.name(this.props) === props.wizard.currentStep : false,
            wasActive: false
        };
    }

    UNSAFE_componentWillReceiveProps(nextProps) {
        const isActive = nextProps.wizard.currentStep === opts.name(this.props);
        if (this.state.active !== isActive) this.setState({active: isActive, wasActive: this.state.active})

    }

    componentDidMount() {
        this.props.dispatch({
            type: ROUTING_UPDATE_URL_PARAMS,
            payload: {
                urlParams: buildUrlParams(this.props.match, this.props.location, window.location.href)
            }
        });
        this.props.dispatch(
            {
                type: WIZARD_STEP_ENTERED,
                payload: opts.name(this.props)
            }
        );
    }

    componentWillUnmount() {
        this.props.dispatch(
            {
                type: WIZARD_STEP_EXITED,
                payload: opts.name(this.props)
            }
        );
    }

    render() {
        const {location: {search}} = this.props;
        const parsed = parse(search);
        const showWhat = ({match}) => {
            if (!match.isExact) {
                return "next";
            }
            return "current";
        };

        const whatToShow = showWhat(this.props);
        return (
            <div>
                {whatToShow === "current" &&<div>
                    <WrappedComponent isActive={this.state.isActive} up={!parsed.down} {...this.props}
                                      compProps={opts.compProps}/>
                </div>}
                {whatToShow === "next" && <div >
                    {opts.nextRoutes && opts.nextRoutes(this.props)}
                </div>}
            </div>
        )
    }
};