import {GET_AGENTS_QUERY, GET_CLUSTERS_QUERY} from '../src/queries';

export const GET_AGENTS_QUERY_MOCK = {
    request: {
        query: GET_AGENTS_QUERY,
        variables: {},
    },
    result: {
        data: {
            "agents": {
                "agents": [
                    {
                        "agentId": "5dc29e61-dcb6-492e-b900-2f267f2731b7",
                        "name": "agent1",
                        "network": "vpc-5b46c03e",
                        "region": "us-east-1",
                        "provider": "AWS",
                        "subnet": "subnet-f1f526a8",
                        "status": "active",
                        "reason": null,
                        "creatorUserId": "userId"
                    },
                    {
                        "agentId": "5dc29e61-dcb6-492e-b900-2f267f2731b6",
                        "name": "inactive-agent",
                        "network": "vpc-5b46c03e",
                        "region": "us-east-1",
                        "provider": "AWS",
                        "subnet": "subnet-f1f526a8",
                        "status": "inactive",
                        "reason": "This Service Connector is inactive. Ensure that the Service Connector system is running and that a network connection is available to the Cloud Tiering service.",
                        "creatorUserId": "userId"
                    }
                ],
                "accountId": "be44d774-9c0f-48da-88b3-e57473f7f22a"
            }
        },
    },
};

export const GET_CLUSTERS_QUERY_MOCK = {
    request: {
        query: GET_CLUSTERS_QUERY,
        variables: {},
    },
    result: {
        "data": {
            "clusters": [{
                "clusterId": "eda35168-d036-4cce-9cc8-ca916ec36326",
                "name": "AFF-1",
                "ontapClusterProperties": {
                    "ontapVersion": "9.4",
                    "clusterAddress": "192.168.0.1",
                },
                "status": {"status": "ON", "message": null},
                "capacityInformation": {
                    "usedPerformanceAndTieredCapacity": 16492674416640,
                    "performanceCapacity": {
                        "inactiveCapacity": 11544872091648,
                        "activeCapacity": 4947802324992,
                        "isEstimatedInactiveCapacity": true,
                        "usedPerformanceCapacity": 16492674416640,
                    },
                    "savingsOppurtunities": 662016
                },
                "tierInformation": null,
                "volumes": {"tieredVolumes": 0, "eligibleVolumes": 16},
            }, {
                "clusterId": "e7b7c54e-070c-4c39-bb21-47391f8de539",
                "name": "AFF-2",
                "ontapClusterProperties": {
                    "ontapVersion": "9.4",
                    "clusterAddress": "192.168.0.3",
                },
                "status": {"status": "ON", "message": null},
                "capacityInformation": {
                    "usedPerformanceAndTieredCapacity": 3298534883328,
                    "performanceCapacity": {
                        "inactiveCapacity": 1099511627776,
                        "activeCapacity": 2199023255552,
                        "isEstimatedInactiveCapacity": false,
                        "usedPerformanceCapacity": 3298534883328,
                    },
                    "savingsOppurtunities": 11704,
                },
                "tierInformation": null,
                "volumes": {"tieredVolumes": 0, "eligibleVolumes": 2},
            }, {
                "clusterId": "f674caac-8454-48b3-ab94-f583f9cf4ef9",
                "name": "AFF-3",
                "ontapClusterProperties": {
                    "ontapVersion": "9.4",
                    "clusterAddress": "192.168.0.2",
                },
                "status": {"status": "ON", "message": null},
                "capacityInformation": {
                    "usedPerformanceAndTieredCapacity": 3298534883328,
                    "performanceCapacity": {
                        "inactiveCapacity": 3298534883328,
                        "activeCapacity": 2199023255552,
                        "isEstimatedInactiveCapacity": false,
                        "usedPerformanceCapacity": 1099511627776,
                    },
                    "savingsOppurtunities": 11520,
                },
                "tierInformation": {
                    "bucketName": "S3Bucket",
                    "providerType": "S3",
                    "tieredCapacity": 2199023255552,
                    "objectStoreName": "object-store-3",
                    "regionName": "US East (N. Virginia)",
                    "tierLevel": "normal",
                    "savings": 11520,
                },
                "volumes": {"tieredVolumes": 1, "eligibleVolumes": 2},
            }]
        }
    }
    ,
};
